Bug 9055 - doesn't build against CUPS 1.6
doesn't build against CUPS 1.6
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Printing
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 17:20 UTC by Jiri Popelka
Modified: 2012-07-26 17:11 UTC (History)
0 users

See Also:


Attachments
patch to build against CUPS 1.6 (31.91 KB, patch)
2012-07-19 17:20 UTC, Jiri Popelka
no flags Details
git-am patchset for 3.6.next. (32.20 KB, patch)
2012-07-20 18:54 UTC, Jeremy Allison
no flags Details
git-am patchset for 3.6.next. (32.44 KB, patch)
2012-07-24 23:50 UTC, Jeremy Allison
asn: review+
jra: review? (gd)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Popelka 2012-07-19 17:20:39 UTC
Created attachment 7713 [details]
patch to build against CUPS 1.6

Hi,

CUPS 1.6 has been planned to be out this summer.
There's however one feature [1] that prevents
samba from building against it.

I'm attaching a patch that fixes it for me
(tested with CUPS-1.6rc1).

[1] http://www.cups.org/str.php?L3928
Comment 1 Jeremy Allison 2012-07-20 18:54:08 UTC
Your patch has been pushed to master.

Thanks !

Jeremy.
Comment 2 Jeremy Allison 2012-07-20 18:54:59 UTC
Created attachment 7714 [details]
git-am patchset for 3.6.next.

Slightly modified patch that applies to 3.6.next.
Jeremy.
Comment 3 Andreas Schneider 2012-07-23 09:15:52 UTC
Jeremy, I see a variable printer_current_time which reads the printer current time from cups, but we never use it.

Shouldn't we just remove this code?
Comment 4 Jeremy Allison 2012-07-23 16:54:51 UTC
Sure, but that's an addition on top of this bug (I wondered why it was wasn't in master :-). If you want to re-spin the patch to include that please feel free. I just want to make sure it makes it into 3.6.next.

Jeremy.
Comment 5 Jeremy Allison 2012-07-24 23:50:02 UTC
Created attachment 7720 [details]
git-am patchset for 3.6.next.

Updated version with the printer_current_time removed. Please review and then we'll get it into 3.6.next.
Comment 6 Andreas Schneider 2012-07-25 07:19:24 UTC
Comment on attachment 7720 [details]
git-am patchset for 3.6.next.

Looks fine for me.
Comment 7 Jeremy Allison 2012-07-25 19:58:07 UTC
Re-assigning to Karolin for inclusion in 3.6.next.
Jeremy.
Comment 8 Karolin Seeger 2012-07-26 17:11:55 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!